# eric7.Plugins.VcsPlugins.vcsPySvn.SvnRevisionSelectionDialog

Module implementing a dialog to enter the revisions for the svn diff command.

### Global Attributes

None

### Classes

SvnRevisionSelectionDialog | Class implementing a dialog to enter the revisions for the svn diff command.

### Functions

None

## SvnRevisionSelectionDialog

Class implementing a dialog to enter the revisions for the svn diff command.

### Derived from

QDialog, Ui_SvnRevisionSelectionDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnRevisionSelectionDialog | Constructor
__getRevision | Private method to generate the revision.
getRevisions | Public method to get the revisions.

### Static Methods

None

#### SvnRevisionSelectionDialog (Constructor)

SvnRevisionSelectionDialog(parent=None)

Constructor

parent
  parent widget of the dialog (QWidget)

#### SvnRevisionSelectionDialog.__getRevision

__getRevision(no)

Private method to generate the revision.

no
  revision number to generate (1 or 2)

Return:
  revision (integer or string)

#### SvnRevisionSelectionDialog.getRevisions

getRevisions()

Public method to get the revisions.

Return:
  list two integers or strings

Up